#include <bits/stdc++.h>

using namespace std;

int brNovcanica(string v){
    int n = v.size();
    int broj, novcanice = 0;
    for(int i = 0;i < n;i++){
        broj = v[i] - '0';
        while(broj > 0){
            if(broj >= 5){
                broj -= 5;
                novcanice++;
            }
            else if(broj >= 2){
                broj -= 2;
                novcanice++;
            }
            else{
                broj -= 1;
                novcanice++;
            }
        }
    }
    return novcanice;
}

int main(){
    ios::sync_with_stdio(false);
    string v;
    cin >> v;
    cout << brNovcanica(v);
    return 0;
}